﻿using System.Collections.Generic;

namespace IrcStates
{
    public class User
    {
        private string NickName;
        private string NickNameLower;

        public string UserName { get; set; }
        public string HostName { get; set; }
        public string RealName { get; set; }
        public string Account { get; set; }
        public string Away { get; set; }
        public HashSet<string> Channels { get; set; }

        public override string ToString()
        {
            return $"User(nickname={NickName})";
        }

        public void SetNickName(string nick, string nickLower)
        {
            NickName = nick;
            NickNameLower = nickLower;
        }
    }
}
